package com.ynet.life.formValidation;

import com.ynet.gene.datatype.InvalidDataException;
import com.ynet.life.base.Trace;
import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

/* loaded from: com_ynet_life_formValidation.jar:com/ynet/life/formValidation/FormValidationExtend.class */
public class FormValidationExtend {
    public boolean validateStringValue(String inputValue, String PatternString, String verifyType, String errorCode, String errorMsg) throws InvalidDataException {
        try {
            Pattern PATTERN_STRING = Pattern.compile(PatternString);
            if ("01".equals(verifyType)) {
                if (!PATTERN_STRING.matcher(inputValue).matches()) {
                    Trace.logError("LifeAction", errorMsg);
                    return false;
                }
                return true;
            }
            if (PATTERN_STRING.matcher(inputValue).matches()) {
                Trace.logError("LifeAction", errorMsg);
                return false;
            }
            return true;
        } catch (PatternSyntaxException unused) {
            Trace.logError("LifeAction", "正则表达式有误");
            throw new InvalidDataException("正则表达式有误");
        }
    }

    public boolean validateSmsConfig(String inputValue, String errorCode, String errorMsg) throws InvalidDataException {
        try {
            String[] smsConfig = inputValue.split("\\|");
            if (!Pattern.compile("^(([1-9]|([1-9]\\d)|(1\\d\\d)|(2([0-4]\\d|5[0-5])))\\.)(([1-9]|([1-9]\\d)|(1\\d\\d)|(2([0-4]\\d|5[0-5])))\\.){2}([1-9]|([1-9]\\d)|(1\\d\\d)|(2([0-4]\\d|5[0-5])))$").matcher(smsConfig[0]).matches()) {
                Trace.logError("LifeAction", errorMsg);
                return false;
            }
            return true;
        } catch (PatternSyntaxException unused) {
            Trace.logError("LifeAction", "正则表达式有误");
            throw new InvalidDataException("正则表达式有误");
        }
    }
}
